Bug 428113 - Review Request: perl-Net-eBay - Perl Interface to XML based eBay API
Review Request: perl-Net-eBay - Perl Interface to XML based eBay API
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On: 426827 428112 431237
  Show dependency treegraph
Reported: 2008-01-09 05:52 EST by Xavier Bachelot
Modified: 2008-02-06 16:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-06 16:53:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2008-01-09 05:52:03 EST
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-Net-eBay.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-Net-eBay-0.45-1.fc8.src.rpm
Description: This module helps user to easily execute queries against eBay's XML API.
Comment 1 Parag AN(पराग) 2008-01-09 07:09:45 EST
will review this once its dependent packages will be built.
Comment 2 Xavier Bachelot 2008-01-09 08:07:08 EST
Thanks Parag.
Btw, please note this one have a missing BR: on perl(Test::Pod::Coverage). Some
functions are not documented, thus the test fails. I've filled a bug upstream 
http://rt.cpan.org/Ticket/Display.html?id=32184 and documented this in the spec.
Comment 3 Parag AN(पराग) 2008-02-01 07:25:38 EST
From build log it looked like you need to include some BRs
Warning: prerequisite HTML::FormatText 0 not found.
Warning: prerequisite HTML::PrettyPrinter 0 not found.
Warning: prerequisite HTML::TreeBuilder 0 not found.
Comment 4 Xavier Bachelot 2008-02-01 09:24:34 EST
How did I let that pass thru ?

Fixed in :
Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-Net-eBay.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-Net-eBay-0.45-2.fc8.src.rpm
Comment 5 Xavier Bachelot 2008-02-01 12:32:32 EST
One Requires: was missing from the repos too, bug #431237.
Comment 6 Xavier Bachelot 2008-02-04 15:16:44 EST
New upstream version, with fixed documentation. I re-enabled BR: on

Spec URL: http://washington.kelkoo.net/fedora/SPECS/perl-Net-eBay.spec
SRPM URL: http://washington.kelkoo.net/fedora/SRPMS/perl-Net-eBay-0.46-1.fc8.src.rpm
Comment 7 Parag AN(पराग) 2008-02-04 20:27:45 EST
unable to download upstream source tarball.
Comment 8 Xavier Bachelot 2008-02-05 03:29:02 EST
hmm, weird, it works for me, I tested again this morning.
Comment 9 Parag AN(पराग) 2008-02-05 03:34:17 EST
hey it worked now :)
Comment 10 Parag AN(पराग) 2008-02-05 05:01:22 EST
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
175674e914326a6af84564acfb57286b  Net-eBay-0.46.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is
t/00-load.........# Testing Net::eBay 0.46, Perl 5.008008, /usr/bin/perl
All tests successful.
Files=3, Tests=22,  1 wallclock secs ( 0.64 cusr +  0.05 csys =  0.69 CPU)
+ Package perl-Net-eBay-0.46-1.fc9 ->
  Provides: perl(Net::eBay) = 0.46
  Requires: /usr/bin/perl perl(Carp) perl(Cwd) perl(Data::Dumper)
perl(DateTime::Precise) perl(Getopt::Long) perl(HTML::FormatText)
perl(HTML::PrettyPrinter) perl(HTML::TreeBuilder) perl(HTTP::Date)
perl(HTTP::Request::Common) perl(HTTP::Status) perl(LWP::UserAgent)
perl(Net::eBay) perl(Text::Format) perl(XML::Dumper) perl(XML::Simple)
perl(strict) perl(utf8) perl(vars) perl(warnings)

   Remove  OPTIMIZE="$RPM_OPT_FLAGS" from make coammand
Comment 11 Xavier Bachelot 2008-02-05 05:09:46 EST
Thx Parag. I'll fix the last problem before importing.

New Package CVS Request
Package Name: perl-Net-eBay
Short Description: Perl Interface to XML based eBay API
Owners: xavierb
Branches: F-8 EL-4 EL-5
Cvsextras Commits: yes

Comment 12 Kevin Fenzi 2008-02-05 14:28:31 EST
cvs done.
Comment 13 Xavier Bachelot 2008-02-06 16:53:57 EST
Imported and built for devel, F-8 and EL-5.

Note You need to log in before you can comment on or make changes to this bug.